<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
  <head>
    <style>
    </style>
    <meta charset="UTF-8">
    <title>채팅</title>
  </head>
  <body>
    <h1>채팅</h1>
    <div id="chatMessageArea"></div>
    <span>이름:</span>
    <input type="text" size="10" id="nickname"/>
    <span>메시지:</span>
    <input type="text" id="message"/>
    <input type="button" id="sendBtn" value="전송"/>
  </body>
  <script type="text/javascript">
    // 전역변수로 쓰기 싫어..
    {
      let ws; // 웹 소켓 객체를 저장할 변수
      let chatMessageArea = document.getElementById('chatMessageArea');
      let nickname = document.getElementById('nickname');
      let message = document.getElementById('message');
      let sendBtn = document.getElementById('sendBtn');

      // 전송버튼 클릭
      sendBtn.addEventListener('click', function(event) {
        ws.send(`${nickname.value}: ${message.value}`);
        message.value = '';
      });

      // 메시지 박스에서 엔터키 입력
      message.addEventListener('keyup', function(event) {
        if(event.keyCode === 13) {
          sendBtn.click();
          return;
        }
      });

      // 웹 소켓 연결 설정
      ws = new WebSocket('ws://localhost:8080/ws/chat');
      ws.onopen = onOpen;
      ws.onmessage = onMessage;
      ws.onclose = onClose;

      // 함수들
      function onOpen() {
        console.log("채팅 연결");
      }

      function onMessage(event) {
      console.log(event);
        let textTag = document.createElement("p");
        let text = document.createTextNode(event.data);
        textTag.appendChild(text);

        chatMessageArea.appendChild(textTag);
      }

      function onClose() {
        console.log("채팅 종료");
      }
    }
  </script>
</html>